import { TemplateRef, AfterViewInit, ChangeDetectorRef } from '@angular/core';
import { AutoCompleteDirective } from './auto-complete.directive';
import { Observable } from 'rxjs/Observable';
import { ControlValueAccessor } from '@angular/forms';
import { RebirthNGConfig } from '../rebirth-ng.config';
export declare class MutipleAutoCompleteComponent implements AfterViewInit, ControlValueAccessor {
    private rebirthUIConfig;
    private changeDetectorRef;
    id: string;
    disabled: boolean;
    cssClass: string;
    popupCssClass: string;
    delay: number;
    minLength: number;
    appendBody: boolean;
    dataSource: any[];
    itemTemplate: TemplateRef<any>;
    noResultItemTemplate: TemplateRef<any>;
    formatter: (item: any) => string;
    valueParser: (item: any) => any;
    onSearch: (term: string, target?: AutoCompleteDirective) => Observable<any[]>;
    selectValue: any;
    mutipleItems: any[];
    autoCompleteDirective: AutoCompleteDirective;
    private onChange;
    constructor(rebirthUIConfig: RebirthNGConfig, changeDetectorRef: ChangeDetectorRef);
    private onTouched;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    ngAfterViewInit(): void;
    toggle($event?: Event): void;
    onMutipleSearch(): void;
    removeLabel(label: any): void;
    onMutipleSearchBoxBackspace($event: Event): void;
}
