import { OnInit, ElementRef, Renderer2, EventEmitter, ChangeDetectorRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { SelectDateChangeEventArgs } from './date-change-event-args.model';
import { RebirthNGConfig } from '../rebirth-ng.config';
import { DateConverter } from '../utils/date-converter';
export declare class DatePickerPopupComponent implements OnInit, ControlValueAccessor {
    private elementRef;
    private renderer;
    private rebirthUIConfig;
    private changeDetectorRef;
    static DAY_DURATION: number;
    private _maxDate;
    private _minDate;
    selectedDate: Date;
    showTimePicker: boolean;
    cssClass: string;
    dateConverter: DateConverter;
    locale: string;
    selectedDateChange: EventEmitter<SelectDateChangeEventArgs>;
    dateFormat: string;
    disabled: boolean;
    currentYear: number;
    currentMonth: number;
    currentHour: number;
    currentMinute: number;
    dateConfig: any;
    hourOptions: string[];
    minuteOptions: string[];
    displayWeeks: any[];
    yearOptions: number[];
    private onChange;
    private onTouched;
    constructor(elementRef: ElementRef, renderer: Renderer2, rebirthUIConfig: RebirthNGConfig, changeDetectorRef: ChangeDetectorRef);
    maxDate: Date | any;
    minDate: Date | any;
    ngOnInit(): void;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    todayIsOutOfRange(): boolean;
    today($event: any): void;
    onSelectDate($event: any, date: any): void;
    onTimeChange(): void;
    hasPreMonth(): boolean;
    onPreMonth(): void;
    hasNextMonth(): boolean;
    onNextMonth(): void;
    isDisabledDay(date: any): boolean;
    isSelectDay(date: any): boolean;
    onYearRangeChange(): void;
    onHostClick($event: Event): void;
    private onSelectDateChanged();
    private fillLeft(num);
    onDisplayWeeksChange(): void;
}
