import { ComponentFactoryResolver, ElementRef, Injector, OnInit, Renderer2, ViewContainerRef, OnDestroy } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { PositionService } from '../position/positioning.service';
import { RebirthNGConfig } from '../rebirth-ng.config';
import { DateConverter } from '../utils/date-converter';
export declare class DatePickerDirective implements OnInit, ControlValueAccessor, OnDestroy {
    private elementRef;
    private viewContainerRef;
    private componentFactoryResolver;
    private renderer;
    private injector;
    private positionService;
    private rebirthUIConfig;
    placement: 'top' | 'top-left' | 'top-right' | 'bottom' | 'bottom-left' | 'bottom-right';
    selectedDate: Date;
    locale: string;
    showTimePicker: boolean;
    cssClass: string;
    disabled: boolean;
    dateConverter: DateConverter;
    appendBody: boolean;
    isOpen: boolean;
    dateConfig: any;
    private _dateFormat;
    private _maxDate;
    private _minDate;
    private cmpRef;
    private onChange;
    private onTouched;
    constructor(elementRef: ElementRef, viewContainerRef: ViewContainerRef, componentFactoryResolver: ComponentFactoryResolver, renderer: Renderer2, injector: Injector, positionService: PositionService, rebirthUIConfig: RebirthNGConfig);
    maxDate: Date | any;
    minDate: Date | any;
    dateFormat: string;
    ngOnInit(): void;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    toggle($event: Event): void;
    onDocumentClick($event: Event): void;
    show(): void;
    hide(): void;
    onBlur(): void;
    onChangeFromInput($event: any): void;
    onEscKeyup(): void;
    ngOnDestroy(): void;
    private removePopView();
    private writeModelValue(selectDate);
    private getDateFormat();
    private applyPopupStyling(nativeElement);
    private fillPopupData();
}
