import { Component, ChangeDetectionStrategy } from '@angular/core';
import { ModalDismissReasons } from '../modal';
import { RebirthNGConfig } from '../rebirth-ng.config';
var AlertDialogComponent = (function () {
    function AlertDialogComponent(rebirthUIConfig) {
        this.rebirthUIConfig = rebirthUIConfig;
        this.btnYes = rebirthUIConfig.dialog.button.yes;
    }
    AlertDialogComponent.prototype.yes = function () {
        this.dismiss.emit(ModalDismissReasons.YES);
    };
    AlertDialogComponent.prototype.no = function () {
        this.dismiss.error(ModalDismissReasons.NO);
    };
    return AlertDialogComponent;
}());
export { AlertDialogComponent };
AlertDialogComponent.decorators = [
    { type: Component, args: [{
                selector: 're-alert-dialog',
                template: "\n    <div class=\"modal-header\">\n      <button type=\"button\" class=\"close\" data-dismiss=\"modal\" aria-label=\"Close\" (click)=\"no()\">\n        <span aria-hidden=\"true\">&times;</span></button>\n      <h4 class=\"modal-title\">{{context.title}}</h4>\n    </div>\n    <div class=\"modal-body\">\n      <p *ngIf=\"!context.html\">{{context.content}}</p>\n      <p *ngIf=\"context.html\" [innerHTML]=\"context.content\"></p>\n    </div>\n    <div class=\"modal-footer\">\n      <button type=\"button\" class=\"btn btn-primary\" (click)=\"yes()\">{{context.yes || btnYes}}</button>\n    </div>\n  ",
                changeDetection: ChangeDetectionStrategy.OnPush
            },] },
];
/** @nocollapse */
AlertDialogComponent.ctorParameters = function () { return [
    { type: RebirthNGConfig, },
]; };
//# sourceMappingURL=alert-dialog.component.js.map