import { Component, Input, ViewChild, HostListener, ChangeDetectionStrategy, ElementRef } from '@angular/core';
import { ModalContentComponent } from './modal-content.component';
import { ModalDismissReasons } from './modal-dismiss-reasons.model';
var ModalWindowComponent = (function () {
    function ModalWindowComponent(elementRef) {
        this.elementRef = elementRef;
        this.isOpen = false;
        this.instanceCount = 0;
    }
    ModalWindowComponent.prototype.onBackdropClick = function ($event) {
        if (!this.modalOptions.modal && this.elementRef.nativeElement === $event.target) {
            this.dismiss.error(ModalDismissReasons.BACKDROP_CLICK);
        }
    };
    ModalWindowComponent.prototype.onEscKeyUp = function ($event) {
        if (this.modalOptions.keyboard !== false) {
            this.dismiss.error(ModalDismissReasons.ESC_KEY);
        }
    };
    ModalWindowComponent.prototype.addContent = function (options, dismiss) {
        this.modalOptions = options;
        this.dismiss = dismiss;
        this.modalContent.addContent(options, this.dismiss);
        return this.dismiss;
    };
    return ModalWindowComponent;
}());
export { ModalWindowComponent };
ModalWindowComponent.decorators = [
    { type: Component, args: [{
                selector: 're-modal-window',
                template: "\n    <div class=\"modal-dialog {{(modalOptions.size ? ' modal-' + modalOptions.size : '')}}\" role=\"document\">\n      <div class=\"modal-content\">\n        <re-modal-content #modalContent></re-modal-content>\n      </div>\n    </div>\n  ",
                changeDetection: ChangeDetectionStrategy.OnPush
            },] },
];
/** @nocollapse */
ModalWindowComponent.ctorParameters = function () { return [
    { type: ElementRef, },
]; };
ModalWindowComponent.propDecorators = {
    'isOpen': [{ type: Input },],
    'instanceCount': [{ type: Input },],
    'modalContent': [{ type: ViewChild, args: [ModalContentComponent,] },],
    'onBackdropClick': [{ type: HostListener, args: ['click', ['$event'],] },],
    'onEscKeyUp': [{ type: HostListener, args: ['keyup.esc', ['$event'],] },],
};
//# sourceMappingURL=modal-window.component.js.map